## dvb 0.9.4.20020321-1

=== Makefile ===
all:  dvb 

dvb:
	(cd driver; make)
	(cd libdvb; make)
	(cd apps; make)
 
dist:
	(cd ..; tar zcf DVB.`date +%Y%m%d.%H-%M-%S`.tar.gz DVB)

clean:
	-rm -f *~ */*~ */\#*\# 
	(cd apps; make clean)
	(cd libdvb; make clean)
	(cd driver; make clean)
