=== apps/Makefile ===
all: 
	(cd mpegtools; make)
	(cd tuxzap; make)
 
clean:
	- rm -f *.o *~
	- (cd mpegtools; make clean)
	- (cd tuxzap; make clean)
