=== libdvb/Makefile ===
CFLAGS=-O2 -Wall -g
OBJS=devices.o DVB.o OSD.o 
INCLUDES=-I./include -I./src -I. -I../driver -I../ost/include
LIBS=-Lsrc/si -L./ -lpthread

main: libdvb.a merge_dvb conv newtest

install: libdvb.a
	cp libdvb.a /usr/local/lib/
	chmod 644 /usr/local/lib/libdvb.a

libdvb.a: $(OBJS)
	ar -r libdvb.a $(OBJS) 

merge_dvb: merge.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o merge_dvb merge.cc -ldvb 

conv: conv.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o conv conv.cc -ldvb

newtest: newtest.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o newtest newtest.cc -ldvb

DVB.o: DVB.cc DVB.hh
	g++ $(INCLUDES) $(CFLAGS) -c $<

devices.o: devices.cc devices.hh
	g++ $(INCLUDES) $(CFLAGS) -c $<

.c.o: 
	gcc $(INCLUDES) $(CFLAGS) -c $<

.cc.o: 
	g++ $(INCLUDES) $(CFLAGS) -c $<

clean:
	-rm -f *.o *.a stest ptest merge newtest conv merge_dvb *~
