=== apps/szap/Makefile ===
CC = gcc
CFLAGS = -Wall -g -O2 -I../../ost/include
LFLAGS =
RM = rm -f

all: szap tzap
	@echo
	@echo "   Please copy an appropriate channel list to"
	@echo "   ~/.szap/channels.conf and ~/.tzap/channels.conf !"
	@echo

szap: szap.c
	$(CC) $(CFLAGS) $($LFLAGS) -o $@ $<

tzap: tzap.c
	$(CC) $(CFLAGS) $($LFLAGS) -o $@ $<

clean:
	$(RM) szap tzap
