=== doc/dvbapi/Makefile ===
all: dvbapi.ps

TEXS=  dvbapi.tex devices.tex video.tex audio.tex ca.tex sec.tex frontend.tex \
       intro.tex title.tex dvbstb.ps

dvbapi.pdf: dvbapi.dvi
	dvipdf $< $@

dvbapi.ps: dvbapi.dvi
	dvips -o $@ $<

dvbapi.dvi: dvbapi.bbl $(TEXS)
	-latex dvbapi
	-bibtex dvbapi
	-makeindex dvbapi
	-latex dvbapi
	-latex dvbapi

dvbapi.bbl: $(TEXS)
	-latex dvbapi
	-bibtex dvbapi
	-makeindex dvbapi

%.ps: %.fig
	./fig2pstex $<

clean: 
	rm -f dvbapi.dvi 
	rm -f *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.toc 
	rm -f *.pdf *.pst *.ps
