=== driver/gnufirm/Makefile ===
ARMTC = armeb-linux-

LD = $(ARMTC)ld
OBJCOPY = $(ARMTC)objcopy
CC = $(ARMTC)gcc

CFLAGS = -O6 -I./include -mcpu=arm7tdmi 
objs = reset.o init.o

all: Dpram Boot

Dpram: Makefile Dpram.o Root
	$(LD) -R root -Ttext 0x2c000000 -EB -o Dpram Dpram.o
	$(OBJCOPY) -Obinary Dpram

Root: $(objs)
	$(LD) -Ttext 0x2e000000 -EB -o root $(objs)
	$(OBJCOPY) -Obinary root Root

Boot: Boot.S
	$(CC) -c Boot.S
	$(LD) -Ttext 0x2c000000 -EB -o Boot Boot.o
	$(OBJCOPY) -Obinary Boot

%.o: %.S
	$(CC) -mcpu=arm7tdmi -c $<

%.o: %.c
	$(CC) $(CFLAGS) -c $<

clean:
	-rm -f *.o Dpram root Root Boot *~
