=== driver/lirc/Makefile ===
CURRENT:=$(shell head -1 /usr/include/linux/version.h|( read i j k; echo $$k|sed s/\"//g))

LIRC_LOCATION = /usr/src/lirc-0.6.4/

KERNEL_LOCATION=/usr/src/linux


export CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
export TOPDIR=$(KERNEL_LOCATION)

M_OBJS       = lirc_dvb.o
obj-m        = $(M_OBJS)
EXTRA_CFLAGS = -I .. -I ../../ost/include -I$(LIRC_LOCATION) -I . -D__DVB_PACK__ -g -DUSE_OSD 
here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)
	@echo

lirc_dvb.o: lirc_dvb.c

insmod:
	make
	( \
	insmod $(LIRC_LOCATION)/drivers/lirc_dev/lirc_dev.o; \
	insmod lirc_dvb.o; \
	)

rmmod:
	( \
	rmmod lirc_dvb; \
	rmmod lirc_dev; \
	)

clean:
	-rm -f $(M_OBJS) *.o .*.o.flags *~
include $(KERNEL_LOCATION)/Rules.make
