=== debian/changelog ===
dvb (0.9.4.20020321-1) unstable; urgency=low

  * Updated CVS snapshot
  * creating missing symlinks in mpegtools

 -- Eduard Bloch <blade@debian.org>  Wed, 20 Mar 2002 17:31:48 +0100

dvb (0.9.4.20020308-1) unstable; urgency=medium

  * New CVS snapshot, follows new main release
  * Setting exact kernel version dependency, and Firmware files are installed
    with the particular modules package. I am fed up with unresolved symbols
    and ARM crashes.
  * including Dpram and Root now. If someone tries to argument with GPL
    violatons, they shold first explain how the various firmware files can be
    distributed with the Linux kernel while Convergence gives the same
    permissions for distribution
  * Set DVB_FIRM_PATH to Debian's storage directory and removed other cludges
  * Rewrotten a Makefile to make it work with kernel-headers only
  * added changes from VDR author to make the driver act more smooth with
    still frames

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Mar 2002 15:57:39 +0100

dvb (0.9.3.20011227-1) unstable; urgency=low

  * New CVS snapshot
    - 2.4.17 ready
    - new module, included in the init script. Closes: #126422
  * removed the patch from fimrware searching routine, making symlinks instead
  * fixed spelling errors, closes: #124584
  * fixed paths in dvb-driver-source, using dvb-dev package now
  * used gtvscreen2.c from the previous version, the new is broken
  * New example files apps/szap/channels.conf-dvbt*

 -- Eduard Bloch <blade@debian.org>  Tue, 27 Dec 2001 15:12:27 +0100

dvb (0.9.3.20011107-1) unstable; urgency=low

  * New CVS snapshot
    - driver-source: fixes compilation problems with kernel >> 2.4.10
    - zapping, mpegtools: various improvements and fixes
  * improved description and README.Debian, upstream's hints

 -- Eduard Bloch <blade@debian.org>  Tue,  7 Nov 2001 09:36:27 +0100

dvb (0.9.3.20011003-1) unstable; urgency=low

  * New CVS snapshot, minor fix in mpegtools
  * typos in manpages fixed
  * included forgotten README in the mpegtools
  * combined both rules files to build multiple modules packages.
  * changed location of firmware to /lib/dvb

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Oct 2001 23:11:23 +0200

dvb (0.9.3.20010921-1) unstable; urgency=low

  * Initial Release. Closes: #112463, Closes: #112464
  * removed firmware from the source, unclear license.
  * Hacked Makefile and dvb.c to compile w/o firmware files and load external
    firmware from Debian conform locations.

 -- Eduard Bloch <blade@debian.org>  Fri, 21 Sep 2001 21:21:14 +0200

Local variables:
mode: debian-changelog
End:
