=== debian/control ===
Source: dvb
Section: misc
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev (>= 1.2.7), libcdk-dev, c-compiler, c++-compiler, transfig, tetex-bin, automake, ncurses-dev, liblircclient-dev
Standards-Version: 3.5.2

Package: dvb-dev
Architecture: i386
Depends: libc6-dev | libc-dev
Suggests: postscript-viewer
Description: development files for DVB applications
 This file contains development files and a static version of the dvb
 library needed to build applications which use DVB stuff.
 .
 The package also contains the DVB API reference.

Package: dvb-zapping
Architecture: i386
Depends: ${shlibs:Depends}
Description: Viewer programs for DVB cards
 Some applications for the DVB users:
 .
 tuxzap - TV viewer for X/Gtk
 ntuxzap - same for Console/ncurses
 rtuxzap - a special version using lirc driver for controls
 tuxview - simple viewer for v4l devices
 szap - simple zapping tool for the Linux DVB API
 tuxplayer - Video player for DVB stream data files for X/Gtk
 ntuxplayer - same for Console/ncurses

Package: dvb-mpegtools
Architecture: i386
Depends: ${shlibs:Depends}
Description: Viewer programs for DVB cards
 Miscellaneous command line tools for conversion between DVB and MPEG
 video data formats.

Package: dvb-driver-source
Architecture: i386
Depends: kernel-package, debhelper, make, dvb-dev (= ${Source-Version})
Description: sources for drivers for the Fujitsu Siemens DVB card
 DVB is a standard for transmission of digital TV and Data over
 satelite transponders or cable connections. Some DVB cards based on
 the Fujitsu/Siemens chipset are supported by the linux driver.
 .
 This package contains sorce code needed to create the driver package.
 The kernel sources (2.4.9 or newer) must be installed to compile
 these modules. You will also need the Firmware files for your card,
 see installation instructions in the package.
