=== debian/changelog ===
dvb (1.0.0-3) unstable; urgency=low

  * dvb-dev: trying to overwrite `/usr/include/linux/em8300.h', which 
    is also in package em8300-headers see bug: #211883. Added a
    Conflicts. Notified upstream.
  * finally close: bug #211933 added kernel-sources as a dependence 
    (closes: Bug#211933)

 -- Andreas Mueller <amu@tr.debian.net>  Fri, 26 Sep 2003 21:38:44 +0200

dvb (1.0.0-2) unstable; urgency=low

  * Moved to Standarts-Version: 3.6.1
  * close: bug #211933
    Added missing build dep kernel-headers for 
    dvb-driver-source
  * testing now with precompiled modules    
  
 -- Andreas Mueller <amu@tr.debian.net>  Sun, 21 Sep 2003 12:07:02 +0200

dvb (1.0.0-1) unstable; urgency=low

  * Updated to 1.0.0 release 
  * fixed the dvb-driver-source package
  * close bug #186207
    (closes: Bug#186207)
  * close bug #172173
    (closes: Bug#172173)
  * close bug #166818
    (closes: Bug#166818)
  * close bug #166829
    (closes: Bug#166829)
  * close bug #199845
    (closes: Bug#199845)

 -- Andreas Mueller <amu@tr.debian.net>  Tue, 9 Sep 2003 12:00:00 +0200

dvb (0.9.4.20020803-6.1) unstable; urgency=low

  * NMU (sponsored by Joey Hess)
  * debian/patches/02_strstream-gcc3.3-fix_diff:
    - Change all references to 'strstream.h' to 'strstream', so the package
      can be successfully built with GCC 3.3, closes: #198286.

 -- Tore Anderson <tore@linpro.no>  Sun, 13 Jul 2003 20:05:32 +0200

dvb (0.9.4.20020803-6) unstable; urgency=low
  
  * close bug 157436 
    (closes: Bug#157436)
  * set architecture to "any"
    (closes: Bug#148272)
  * Added autoconf2.13 as build-dep and modified autogen.sh to run
    autoconf2.13. Added a patch file 01_auto_sh_diff for this.
    thanks to Francesco 
    (closes: #157198)
 
 -- Andreas Mueller <amu@tr.debian.net>  Sat, 15 Mar 2003 21:22:00 +0100

dvb (0.9.4.20020803-5) unstable; urgency=low

  * some cosmetic changes 

 -- Andreas Mueller <amu@tr.debian.net>  Sat,  4 Jan 2003 16:27:00 +0100

dvb (0.9.4.20020803-4) unstable; urgency=low

  * took package from Eduard/QA
    (closes: Bug#117995)

 -- Andreas Mueller <amu@tr.debian.net>  Sat,  4 Jan 2003 16:27:00 +0100

dvb (0.9.4.20020803-3) unstable; urgency=low

  * Too bad, my own scripts reverted the changes in control.  Now fixes
    Build-Dependencies and Arch, thanks to Lamont, closes: #155364
  * separated Debian changes from CVS snapshot, now patching like with DBS

 -- Eduard Bloch <blade@debian.org>  Sun,  4 Aug 2002 11:26:12 +0200

dvb (0.9.4.20020803-2) unstable; urgency=low

  * Arch: all, now really :(

 -- Eduard Bloch <blade@debian.org>  Sat,  3 Aug 2002 12:00:46 +0200

dvb (0.9.4.20020803-1) unstable; urgency=low

  * Updated CVS snapshot
  * Fixed devfsd integration, thanks to Kay Sievers <kay@vrfy.org>
  * Removed KDREV dependency, -DMODVERSIONS fixed this

 -- Eduard Bloch <blade@debian.org>  Sat,  3 Aug 2002 10:03:36 +0200

dvb (0.9.4.20020709-1) unstable; urgency=low

  * Updated CVS snapshot, works with 2.4.19-rc1
  * Better dependency on automake, closes: #151685
  * Defined MODVERSIONS, closes: #145006
  * Devfs optimisations, closes: #133755. Symlinks may need some improvement,
    cannot test yet.
  * Changed misleading debconf message
  * Arch: all, let's see how far this go.

 -- Eduard Bloch <blade@debian.org>  Tue,  9 Jul 2002 22:45:52 +0200
