=== debian/control ===
Source: dvb
Section: misc
Priority: extra
Maintainer: Andreas Mueller <amu@tr.debian.net>
Build-Depends: debhelper (>> 3.0.0), c-compiler, c++-compiler, transfig, tetex-bin, automake1.7 | automake, ncurses-dev, liblircclient-dev, gs-common, bzip2, imagemagick
Standards-Version: 3.6.1

Package: dvb-dev
Architecture: all
Depends: libc6-dev | libc-dev
Suggests: postscript-viewer
Description: development files for DVB applications
 This file contains development files and a static version of the dvb
 library needed to build applications which use DVB stuff.
 .
 The package also contains the DVB API reference.

Package: dvb-utils
Architecture: any
Depends: ${shlibs:Depends}
Provides: dvb-zapping
Conflicts: dvb-zapping
Replaces: dvb-zapping
Description: Viewer programs for DVB cards
 Some applications for DVB users:
 .
 av7110_loadkeys - tool to load keyfiles of ir-remotes
 evtest - find out events-keys to generate a keyfile for your remote
 femon  - monitor the singal-strength... of your card
 scan   - scan all transponders and generate a channels.conf
 czap   - simple zapping tool for the Linux DVB API (DVB-C-Cards)
 szap   - simple zapping tool for the Linux DVB API (DVB-S-Cards)
 tzap   - simple zapping tool for the Linux DVB API (DVB-T-Cards)

Package: dvb-driver-source
Architecture: all
Depends: kernel-package, kernel-source, debhelper, make, dvb-dev (= ${Source-Version})
Conflicts: em8300-headers
Description: sources for drivers for the Fujitsu Siemens DVB card
 DVB is a standard for transmission of digital TV and Data over
 satelite transponders or cable connections. Some DVB cards based on
 the Fujitsu/Siemens chipset are supported by the linux driver.
 .
 This package contains sorce code needed to create the driver package.
 The kernel sources (2.4.9 or newer) must be installed to compile
 these modules.
