=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

SHELL=/bin/bash

configure: configure-stamp
configure-stamp:
	dh_testdir

docs-stamp:
	cd doc/dvbapi ; yes "" | make

av7110_loadkeys-stamp:
	cd apps/av7110_loadkeys/; make

scan-stamp:
	cd apps/scan/; make

szap-stamp:
	cd apps/szap/; make

build: configure-stamp build-stamp
build-stamp: docs-stamp av7110_loadkeys-stamp scan-stamp szap-stamp
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f *-stamp

	# Add here commands to clean up after the build process.
	cd apps/av7110_loadkeys/; make clean
	cd doc/dvbapi/; make clean
	cd apps/scan/; make clean
	cd apps/szap/; make clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# apparently bug in debhelper
	DH_COMPAT=1; dh_installdirs

	# install stuff into debian/dvb-dev.
	#cp -a build-tree/libdvb/include debian/dvb-dev/usr
	cp -a include debian/dvb-dev/usr
	#cp -a build-tree/libdvb/*.a debian/dvb-dev/usr/lib

	# install stuff into debian/dvb-utils.
	cp -a apps/av7110_loadkeys/av7110_loadkeys debian/dvb-utils/usr/bin
	cp -a apps/av7110_loadkeys/evtest debian/dvb-utils/usr/bin
	cp -a apps/av7110_loadkeys/README debian/dvb-utils/usr/share/doc/dvb-utils/README.av7110_loadkeys
	
	cp -a apps/scan/scan debian/dvb-utils/usr/bin
	cp -a apps/scan/README debian/dvb-utils/usr/share/doc/dvb-utils/README.scan
	
	cp -a apps/szap/czap debian/dvb-utils/usr/bin
	cp -a apps/szap/femon debian/dvb-utils/usr/bin
	cp -a apps/szap/szap debian/dvb-utils/usr/bin
	cp -a apps/szap/tzap debian/dvb-utils/usr/bin

	# create the -src package.
	cp -a driver debian/dvb-driver-source/usr/src/modules/dvb-driver/
	cp -a debian/dvb-driver.debian/* debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	ln -s /usr/include/linux/ debian/dvb-driver-source/usr/src/modules/dvb-driver
	cp -a debian/copyright* debian/changelog debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	dh_installdebconf -pdvb-driver debian/copyright*
	chmod +x debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/rules
	cd debian/dvb-driver-source/usr/src/ ; tar -c modules/dvb-driver | bzip2 -9c > dvb-driver.tar.bz2
	rm -rf debian/dvb-driver-source/usr/src/modules/dvb-driver
	
	dh_movefiles

	find debian | grep -i CVS | xargs rm -rf
	find debian/dvb-dev debian/dvb-driver-source/usr/src/modules/ -type f |grep -v rules| xargs chmod -x

# Build architecture-independent files here.
binary-indep: build install 
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installdocs -i -p dvb-driver-source debian/dvb-driver.debian/README.Debian
	dh_installmenu -i
	dh_installcron -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_fixperms -i -p dvb-dev
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -p dvb-utils apps/szap/channels.conf*
	dh_installexamples -p dvb-utils apps/av7110_loadkeys/*.rcmm
	dh_installexamples -p dvb-utils apps/av7110_loadkeys/*.rc5
	dh_installmenu -a
	dh_installcron -a
	dh_installinfo -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
